<style>

.updates-container {
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin: 20px;
}

.updates-header {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    background-color: #009;
    color: white;
    padding: 10px;
    font-weight: bold;
    text-align: left;
}

.header-item {
    padding: 0.25em 0.5em;
}

.update-row {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    background-color: #eee;
    color: black;
    padding: 10px;
    margin: 10px 0;
    border-radius: 8px;
}

.update-item {
    padding: 0.25em 0.5em;
}

.update-item a {
    color: #009;
    text-decoration: none;
}

.update-item a:hover {
    color: #ff416c;
}

.update-item:nth-child(2) {
    text-align: center;
}

.update-item:nth-child(3) {
    text-align: center;
}

.update-item:nth-child(4) {
    text-align: center;
}

.update-item:nth-child(5) {
    text-align: center;
}

.update-item:nth-child(6) {
    text-align: center;
}

.update-item:nth-child(7) {
    text-align: left;
}

.update-row:nth-child(even) {
    background-color: #f4f4f4;
}

.update-row:hover {
    background-color: #ddd;
    cursor: pointer;
}

</style>



<? //print_r($updates[0]);?>
<div class="updates-container">
    <div class="updates-header">
        <div class="header-item">Date</div>
        <div class="header-item">Model</div>
        <div class="header-item">Site</div>
        <div class="header-item">Rank</div>
        <div class="header-item">Viewers</div>
        <div class="header-item">Update</div>
        <div class="header-item">Info</div>
    </div>
    
    <?php foreach ($updates as $u): ?>
        <?php if ((isset($_GET['nickname']) && $_GET['nickname'] == $u['nickname']) || (!isset($_GET['nickname']) && ($u['rank'] < 50 || ($u['update'] == 'rank' || $u['update'] == 'viewers')))): ?>
            <div class="update-row">
                <div class="update-item"><?= timeAgo($u['timestamp']); ?></div>
                <div class="update-item">
                    <a href="?nickname=<?= $u['nickname'] ?>"><?= $u['nickname'] ?></a>
                </div>
                <div class="update-item"><?= $u['site'] ?></div>
                <div class="update-item"><?= $u['rank'] ?></div>
                <div class="update-item"><?= $u['viewers'] ?></div>
                <div class="update-item">
                    <a target="_blank" href="<?= encodeUrl('webcamsProfile', $u) ?>"><?= $u['update'] ?></a>
                </div>
                <div class="update-item">
                    <?php if ($u['update'] == 'statusChange' || $u['update'] == 'status'): ?>
                        <?= $u['oldStatus'] ?> to <?= $u['status'] ?>
                    <?php elseif ($u['update'] == 'rank'): ?>
                        <?php if ($u['rank'] == 1): ?>
                            is ranked in First Place!!!
                        <?php else: ?>
                            entered top <?= $u['rankUpdate'] ?>
                        <?php endif; ?>
                    <?php elseif ($u['update'] == 'viewers'): ?>
                        gained <?= $u['viewersIncr'] ?> viewers in the last <?= $u['viewersIncrMins'] ?> mins
                    <?php elseif ($u['update'] == 'hours'): ?>
                        online for <?= $u['onlineHours'] ?> hours
                    <?php endif; ?>
                </div>
            </div>
        <?php endif; ?>
    <?php endforeach; ?>
</div>



